/*
    pysol-sound-server
    Copyright (C) 1999-2000  Markus F.X.J. Oberhumer
    Copyright (C) 1997-1999  Sam Lantinga

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Markus F.X.J. Oberhumer
    <markus.oberhumer@jk.uni-linz.ac.at>
    http://wildsau.idv.uni-linz.ac.at/mfx/pysol.html

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/


#define PYTHON_MODULE

#define PACKAGE                 "pysolsoundserver"
#define PROTOCOL_VERSION        4
#include "version.h"

#define WAV_MUSIC
#define MOD_MUSIC
#ifndef _WIN32
#define MP3_MUSIC
#endif

#define err server_err
extern FILE *err;
extern int debug;
extern int protocol;
extern int audio_open;

extern SDL_mutex *queue_lock;

void CleanUp(void);
int handle_command(const char *cmd);
void music_handle_queue(void);
int get_music_info(void);

void close_pipe(void);

int open_music(SDL_AudioSpec *mixer);
void close_music(void);

#include "SDL_version.h"
#if (SDL_VERSIONNUM(SDL_MAJOR_VERSION,SDL_MINOR_VERSION,SDL_PATCHLEVEL) < 1003)
#  error "need SDL 1.0.3 or better"
#endif
